/** --------------------------------------------------------------------

	STYLES MENU

--------------------------------------------------------------------- */

/* Skip to content */
.skip-link {
    position: absolute;
    top: 0;
    left: -999px;
    background: #000;
    color: #fff;
    padding: 1rem;
    z-index: 100;
}

.skip-link:focus {
    left: 0;
}

.gm-mega-menu-wrapper {
	background:#b8d0e9;
	padding:10px 30px 30px 30px !important;
}

.gm-search__fullscreen-container.gm-hidden {
    display: none !important;
}

.gm-menu-item--lvl-0 a {	
	color:#000 !important;
	font-family:'SF UI Display Heavy', Arial, sans-serif;
	font-size:0.95em !important;
	margin-left:10px !important;
}


.gm-menu-item--lvl-1 a:not(.gm-navigation-drawer--mobile), .gm-mega-menu__item__title .gm-menu-item__txt:not(.gm-navigation-drawer--mobile), .gm-menu-item--lvl-2 .gm-menu-item__txt:not(.gm-navigation-drawer--mobile){
	color:#0e4176;
}

.gm-mega-menu-wrapper .gm-menu-item__txt:not(.gm-navigation-drawer--mobile, .gm-menu-item--lvl-2 .gm-menu-item__txt) { /* Liens sous menu sans sous sous liens */
	font-size:1.2em !important;
	font-family:'SF UI Display Bold', Arial, sans-serif !important;
}

.gm-mega-menu-wrapper .gm-menu-item__txt:hover { /* Liens sous menu sans sous sous liens */
	color:#000 !important;
}

.gm-menu-item--lvl-1 a {
	text-transform :uppercase;
}

.gm-menu-item--lvl-2 .gm-menu-item__txt { /* Sous liens dans sous-menu */
	text-transform :none;
	font-family:'SF UI Display Medium', Arial, sans-serif !important;
	border-bottom:0 !important
}

.gm-menu-item--lvl-2  a{ /* Sous liens dans sous-menu */
	border-bottom:0 !important;
	margin-left:0 !important;
	padding:10px 20px !important;
	position:relative !important;	
	font-size:1em !important;
}


.gm-anchor.gm-menu-item__link { /* Puces sur sous liens dans sous-menu */
  border-bottom: 0 !important;
  margin-left: 0 !important;
  padding: 10px 20px 10px 16px !important;
  position: relative !important;
}



.gm-anchor.gm-menu-item__link:not(.gm-navigation-drawer--mobile *)::before { /* Puces sur sous liens dans sous-menu */
  content: '';
  display: inline-block;
  width: 5px; /* Largeur de l'icône */
  height: 5px; /* Hauteur de l'icône */
  position: absolute;
  left: 0; /* Position de l'icône */
  top: 0;
	margin-top:22px;
  transform: translateY(-50%);
   background-image: url('/wp-content/themes/Divi-Child/img/ico/point-big.svg');  
  background-repeat: no-repeat;
  background-size: contain;
  filter: brightness(0) saturate(100%) invert(32%) sepia(69%) saturate(1399%) hue-rotate(189deg) brightness(87%) contrast(94%);
}

.gm-anchor.gm-menu-item__link:hover::before { /* Puces sur sous liens dans sous-menu */
 filter: brightness(0) saturate(100%) invert(20%) sepia(64%) saturate(7279%) hue-rotate(332deg) brightness(91%) contrast(84%);
}

.gm-menu-item--lvl-0 .gm-menu-item__txt {
	font-family: 'SF UI Display Medium' ;
}

.gm-menu-item--lvl-0 .gm-menu-item__txt strong, .gm-menu-item--lvl-1 .gm-menu-item__txt {
	font-family: 'SF UI Display Bold' !important;
}

.gm-menu-item--lvl-1 .gm-menu-item__txt:hover {
	color:#000!important
}


.gm-mega-menu-wrapper {
	padding:30px
}

 .gm-main-menu-wrapper .gm-mega-menu__item__title {
	border-bottom:0; 
}

.gmi-zoom-search {
	width: 40px; /* Ajustez la taille de la boule */
    height: 40px; /* Ajustez la taille de la boule */
    border-radius: 50%; /* Forme de boule */
    display: inline-flex;
    justify-content: center;
    align-items: center;
    padding: 0;
    overflow: hidden;
    text-decoration: none;
    box-shadow: none !important;
    border: none;
	background:#d8215d;
	transition: background-color 0.4s ease !important;
}

.gmi-zoom-search::before {
	filter: brightness(0) saturate(100%) invert(100%) sepia(0%) saturate(0%) hue-rotate(267deg) brightness(108%) contrast(101%);
		transition: color 0.4s ease !important;
}

.gmi-zoom-search:hover {
		background:#c9d9ea;
}

.gmi-zoom-search:hover::before {
filter: brightness(0) saturate(100%) invert(11%) sepia(22%) saturate(967%) hue-rotate(201deg) brightness(91%) contrast(96%);
}

/** -------------------------------------------------------------------- 

	STYLES MENU MOBILE
*/

.gm-navigation-drawer--mobile .gm-caret {
   font-size:1.2em;
    height: 47px
}

.gm-navigation-drawer .gm-anchor{
color:#0e4176 !important
}

.gm-navigation-drawer .gm-anchor {
	border-bottom :1px solid #ddd;
}

.gm-navigation-drawer--mobile .gm-menu-item--lvl-0 a .gm-menu-item__txt {
	font-family:'SF UI Display Heavy', Arial, sans-serif !important;
	color:#000;
	 font-size:1.1em !important;
}

.gm-navigation-drawer--mobile .gm-menu-item--lvl-0 a:hover .gm-menu-item__txt{
	color:#0e4176 !important
}

.gm-navigation-drawer--mobile .gm-menu-item--lvl-1 a .gm-menu-item__txt {
	font-family:'SF UI Display Bold', Arial, sans-serif !important;
	color:#000;
	font-size:0.9em !important;
}

.gm-navigation-drawer--mobile .gm-menu-item--lvl-1 a:hover .gm-menu-item__txt{
	color:#0e4176 !important;
}

.gm-navigation-drawer--mobile .gm-menu-item--lvl-2 a .gm-menu-item__txt {
	font-family:'SF UI Display Semi Bold', Arial, sans-serif !important;
	color:#333;
	font-size:0.9em !important;
	text-transform:normal !important;
}

.gm-navigation-drawer--mobile .gm-menu-item--lvl-2 a:hover .gm-menu-item__txt{
	color:#0e4176 !important
}


.hamburger.is-active .hamburger-inner,
.hamburger.is-active .hamburger-inner::before,
.hamburger.is-active .hamburger-inner::after
{
background-color: #d9205d;
height:4px;
}

.gm-burger .hamburger-inner,
 .gm-burger .hamburger-inner::before,
 .gm-burger .hamburger-inner::after{
 background-color: #d9205d !important;
height:3px;
}



/** --------------------------------------------------------------------

	STYLES PANNEAU RECHERCHE FULLSCREEN

--------------------------------------------------------------------- */

.gm-search__alpha {
	font-size:1.3em !important;
	letter-spacing:0.03em;
}

.gm-search__alpha::before {
content: '';
  position: absolute;
  top: -24px;
  left: 20px;
  width: 50%; /* Ajuster la largeur pour couvrir l'élément */
  height: 50%; /* Ajuster la hauteur pour couvrir l'élément */
  background: url(/wp-content/themes/Divi-Child/img/ico/forme-abstraite.svg) no-repeat;
  background-size: contain; /* Assurez-vous que l'image entière est visible */
  opacity: 0.1; 
  z-index: -1; /* Le mettre en arrière-plan */
	filter: brightness(0) saturate(100%) invert(100%) sepia(0%) saturate(7500%) hue-rotate(294deg) brightness(118%) contrast(102%);
	}

.gm-search__close::before {
    content: '';
   background-image:url('/wp-content/themes/Divi-Child/img/ico/close-round.svg');
    background-repeat: no-repeat;
    background-size: contain; /* Ou cover, selon comment vous voulez que l'image remplisse l'espace */
    display: inline-block;
    vertical-align: middle;
    width: 50px; /* Ajustez selon la taille de votre icône */
    height: 50px; /* Ajustez selon la taille de votre icône */
	filter: brightness(0) saturate(100%) invert(20%) sepia(100%) saturate(2482%) hue-rotate(324deg) brightness(90%) contrast(94%);
}

/* Si vous souhaitez masquer l'icône SVG d'origine */
.gm-search__close svg {
    display: none;
}

